Package org.apache.cayenne.util

## Class QueryResultBuilder

- java.lang.Object
- - org.apache.cayenne.util.QueryResultBuilder

- Direct Known Subclasses:
    `ProcedureResultBuilder`

      public class QueryResultBuilder
      extends Object

  Since:
    4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<QueryResultItem>` | `queryResult` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `QueryResultBuilder` | `addBatchUpdateResult​(int[] result)` |
    `QueryResultBuilder` | `addSelectResult​(List<?> result)` |
    `QueryResult` | `build()` |
    `static QueryResultBuilder` | `builder()` |
    `static QueryResultBuilder` | `builder​(int expectedSize)` |
    `static QueryResult` | `empty()` |
    `static QueryResult` | `singleObjectSelect​(Object selectObject)` |
    `static QueryResult` | `singleSelect​(List<?> selectResult)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### queryResult

          protected List<QueryResultItem> queryResult

  - ### Method Detail

    - #### builder

          public static QueryResultBuilder builder()

    - #### builder

          public static QueryResultBuilder builder​(int expectedSize)

    - #### empty

          public static QueryResult empty()

    - #### singleSelect

          public static QueryResult singleSelect​(List<?> selectResult)

    - #### singleObjectSelect

          public static QueryResult singleObjectSelect​(Object selectObject)

    - #### addSelectResult

          public QueryResultBuilder addSelectResult​(List<?> result)

    - #### addBatchUpdateResult

          public QueryResultBuilder addBatchUpdateResult​(int[] result)

    - #### build

          public QueryResult build()